/**
 * SHA Lib a small BeOS Static library for SHA-1 (FIPS180) Hashing
 *
 * Based on the original work of Jim Gillogly 3 May 1993
 * Hacked for Use as a static lib in BeOS by Bryan Varner 9.4.2004
 *
 * Return values in the *buffer pointer are of type unsigned long[5];
 * For example, sha_memory works like this...
 *
 *    unsigned long hbuf[5];
 *    sha_memory("this is a test", 20, hbuf);
 *    fprintf(stderr, "%08lx%08lx%08lx%08lx%08lx\n", 
 *            hbuf[0], hbuf[1], hbuf[2], hbuf[3], hbuf[4]);
 */
#ifndef SHALIB
#define SHALIB

#include <stdio.h>

#ifdef __cplusplus
extern "C" {
#endif

	int sha_file(char* filename, unsigned long *buffer);
	void sha_stream(FILE *stream, unsigned long *buffer);
	void sha_memory(char* mem, unsigned long length, unsigned long *buffer);

#ifdef __cplusplus
};
#endif

#endif
